edu.isi.pegasus.planner.transfer.refiner

## Class Chain.TransferChain

- java.lang.Object
- - edu.isi.pegasus.planner.transfer.refiner.Chain.TransferChain

Enclosing class:
  Chain

    private static class Chain.TransferChain
    extends java.lang.Object

A shallow container class, that contains the list of the names of the transfer jobs and can return the last job in the list.

### Field Summary

Fields
`private java.util.LinkedList` `mChain` The linked list that maintians the chain of names of the transfer jobs.

### Constructor Summary

Constructors
Constructor and Description
`TransferChain()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.lang.String name)` Adds to the end of the chain.
`java.lang.String` `getLast()` Returns the last element in the chain.
`java.lang.String` `toString()` Returns the textual description of the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mChain

    private java.util.LinkedList mChain

The linked list that maintians the chain of names of the transfer jobs.

### Constructor Detail

#### TransferChain

    public TransferChain()

The default constructor.

### Method Detail

#### add

    public void add(java.lang.String name)

Adds to the end of the chain. Allows null to be added.

Parameters:
  `name` - the name of the transfer job.

#### getLast

    public java.lang.String getLast()

Returns the last element in the chain.

Returns:
  the last element in the chain, null if the chain is empty

#### toString

    public java.lang.String toString()

Returns the textual description of the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the textual description.